Page MenuHomePhabricator

[PowerPC, AsmParser] Enable the mnemonic spell corrector.
ClosedPublic

Authored by Quolyk on Nov 28 2017, 5:56 AM.

Diff Detail

Repository
rL LLVM

Event Timeline

Quolyk created this revision.Nov 28 2017, 5:56 AM

This is pretty cool. Thanks for implementing it.
I am not familiar with this code so I don't want to approve the patch, but the functionality that the test case shows is pretty cool.

Also, will this provide any diagnostics/suggestions for inline assembly? If so, it would be good to add that test case as well.

sdardis added inline comments.Nov 30 2017, 10:53 AM
test/MC/PowerPC/invalid-instructions-spellcheck.s
1 ↗(On Diff #124557)

You can drop -show-encoding from the invocation of llvm-mc, as you're not checking the instruction encodings.

This is pretty cool. Thanks for implementing it.
I am not familiar with this code so I don't want to approve the patch, but the functionality that the test case shows is pretty cool.

Also, will this provide any diagnostics/suggestions for inline assembly? If so, it would be good to add that test case as well.

IFAIK, this wil not provide any diagnostics/suggestions for inline assembly.

Quolyk updated this revision to Diff 125078.Nov 30 2017, 10:45 PM

Deleted -show-encoding from test

Quolyk marked an inline comment as done.Nov 30 2017, 10:45 PM
hfinkel accepted this revision.Dec 14 2017, 3:42 PM

LGTM

Do you have commit access?

This revision is now accepted and ready to land.Dec 14 2017, 3:42 PM

LGTM

Do you have commit access?

I don't, please commit.

This revision was automatically updated to reflect the committed changes.